Index: UITextFieldRenderer.java
===================================================================
--- UITextFieldRenderer.java	(revision 1012)
+++ UITextFieldRenderer.java	(working copy)
@@ -68,6 +68,12 @@
         int x = (int) displayRect.origin.x + TEXT_LEFT_INSET;
         int y = (int) displayRect.origin.y;
         y += ((int) view.getFrame().size.height - height) / 2 + height - descent;
-        g.drawString(view.getText(), x, y);
+        String textToDraw = view.getText();
+        if( view.isSecureTextEntry() )
+        {
+        	textToDraw = textToDraw.replaceAll( ".", "*" );
+        }
+
+        g.drawString(textToDraw, x, y);
     }
 }
